complexType "SensitivitySetDefinition"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, sensitivityCharacteristics?, valuationScenarioReference?, pricingInputType?, pricingInputReference?, scale?, sensitivityDefinition*, calculationProcedure?
</...>

Content Model Elements (8):

  calculationProcedure (in sensitivitySetDefinition), name (in sensitivitySetDefinition), pricingInputReference (in sensitivitySetDefinition), pricingInputType, | scale, sensitivityCharacteristics, sensitivityDefinition, valuationScenarioReference (in sensitivitySetDefinition)

All Direct / Indirect Based Elements (1):

  sensitivitySetDefinition

Known Usage Locations

- As direct type of elements (1):
  sensitivitySetDefinition

Annotation
A sensitivity report definition, consisting of a collection of sensitivity definitions.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="SensitivitySetDefinition"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element minOccurs="0" name="sensitivityCharacteristics" type="QuotationCharacteristics"/> <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/> <xsd:element minOccurs="0" name="pricingInputType" type="PricingInputType"/> <xsd:element minOccurs="0" name="pricingInputReference" type="PricingStructureReference"/> <xsd:element minOccurs="0" name="scale" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivityDefinition" type="SensitivityDefinition"/> <xsd:element minOccurs="0" name="calculationProcedure" type="DerivativeCalculationProcedure"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 8/8)
calculationProcedure

  Type: | DerivativeCalculationProcedure, complex content

  The method by which each derivative is computed, e.g. analytic, numerical model, perturbation, etc., and the corresponding parameters (eg. shift amounts).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationProcedure" type="DerivativeCalculationProcedure"/>

name

  Type: | xsd:string, predefined, simple content

  The name of the sensitivity set definition, e.g. "USDLIBOR curve sensitivities".
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:string"/>

pricingInputReference

  Type: | PricingStructureReference, empty content

  A reference to the pricing input to which the sensitivity is shown, e.g. a reference to a USDLIBOR yield curve.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricingInputReference" type="PricingStructureReference"/>

pricingInputType

  Type: | PricingInputType, simple content

  The type of the pricing input to which the sensitivity is shown, e.g. a yield curve or volatility matrix.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricingInputType" type="PricingInputType"/>

scale

  Type: | xsd:decimal, predefined, simple content

  The size of the denominator, e.g. 0.0001 = 1 bp. For derivatives with respect to time, the default period is 1 day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="scale" type="xsd:decimal"/>

sensitivityCharacteristics

  Type: | QuotationCharacteristics, complex content

  The default characteristics of the quotation, e.g. type, units, etc.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sensitivityCharacteristics" type="QuotationCharacteristics"/>

sensitivityDefinition

  Type: | SensitivityDefinition, complex content

  A set of sensitivity definitions. Either one per point reported, or one generic definition that applies to all points.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="sensitivityDefinition" type="SensitivityDefinition"/>

valuationScenarioReference

  Type: | ValuationScenarioReference, empty content

  Reference to the valuation scenario to which this sensitivity definition applies, e.g. a reference to the EOD valuation scenario. If not supplied, this sensitivity set definition is generic to a variety of valuation scenarios.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationScenarioReference" type="ValuationScenarioReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.